PalladiumEvents.registerAnimations((event) => {
    event.register('arrzee/fire_release', 10, (builder) => {
    let progress_explode = animationUtil.getAnimationTimerAbilityValue(builder.getPlayer(), 'arrzenhanced:nuclear_fusion', 'fire_release_pose', builder.getPartialTicks());

if (progress_explode > 0.0) {
    if (builder.isFirstPerson()) {
        // do first-person animations
        builder.get('left_arm')
            .setZRotDegrees(0)
            .setXRotDegrees(0)
            .setYRotDegrees(0)
            .animate('Linear', progress_explode);

        builder.get('right_arm')
            .setZRotDegrees(0)
            .setXRotDegrees(0)
            .setYRotDegrees(0)
            .animate('Linear', progress_explode);
    } else {
        // do third-person animations
        builder.get('head')
            .setZRotDegrees(0)
            .setXRotDegrees(-25)
            .setYRotDegrees(0)
            .animate('Linear', progress_explode);

        builder.get('left_arm')
            .setZRotDegrees(-30)
            .setXRotDegrees(0)
            .setYRotDegrees(0)
            .animate('Linear', progress_explode);

        builder.get('right_arm')
            .setZRotDegrees(30)
            .setXRotDegrees(0)
            .setYRotDegrees(0)
            .animate('Linear', progress_explode);
        }
    }
});
});